[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomSplitter.SetSplitterPosition

Changes the position for the splitter to the specified NewPosition.

## Declaration

Source position: extctrls.pp line 419

`public procedure TCustomSplitter.SetSplitterPosition(`
`NewPosition: Integer`
`);`

## Arguments

`NewPosition` |  | Coordinate where the splitter is moved relative to the ResizeAnchor.

## Description

SetSplitterPosition is a method used to change the position for the splitter control in program code (as opposed to a drag action). It calls the MoveSplitter method using the difference between NewPosition and the current splitter position relative to ResizeAnchor as an argument.

## See also

TCustomSplitter.MoveSplitter |  | Moves the splitter by an amount specified in Offset.
TCustomSplitter.GetSplitterPosition |  | GetSplitterPosition returns the current position of the splitter.
TCustomSplitter.ResizeAnchor |  | Indicates the orientation and alignment for the splitter control.